List completed trades
curl --request GET \
--url https://api.hypedexer.com/completed-trades/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/completed-trades/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/completed-trades/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "2 trades",
"data": [
{
"user": "0x4414fa41e91445894b1ef363148782c4788329c2",
"coin": "io:ANTH",
"direction": "short",
"start_time": "2026-09-19T07:03:46.266000",
"end_time": "2026-09-19T07:10:23.379000",
"duration_s": 397,
"entry_price": 2158,
"exit_price": 2159.7,
"size_close": 0.011,
"pnl_realized": -0.0187,
"leverage_type": "cross",
"position_value": 23.738,
"total_fills": 2,
"total_fees": 0.004274,
"avg_fill_price": 2158.85,
"first_fill_time": "2026-09-19T07:03:46.266000",
"last_fill_time": "2026-09-19T07:10:23.379000",
"total_volume": 47.494699999999995,
"trade_id": "trade_io:ANTH_64b6df8e",
"close_hash": "0x08f54f4f98eaa2950a6f0444ba790802016e003533edc167acbdfaa257ee7c7f",
"created_at": "2026-09-19T07:10:23.879000"
},
{
"user": "0x0d27167884f7d478a55f376864c49ff4d2a323b7",
"coin": "NEAR",
"direction": "short",
"start_time": "2026-09-19T07:08:00.011000",
"end_time": "2026-09-19T07:10:22.849000",
"duration_s": 142,
"entry_price": 3.711,
"exit_price": 3.7178999999999998,
"size_close": 52.9,
"pnl_realized": -0.36501,
"leverage_type": "cross",
"position_value": 196.31189999999998,
"total_fills": 2,
"total_fees": 0.366263,
"avg_fill_price": 3.7144499999999994,
"first_fill_time": "2026-09-19T07:08:00.011000",
"last_fill_time": "2026-09-19T07:10:22.849000",
"total_volume": 392.98880999999994,
"trade_id": "trade_NEAR_d4ceb6a1",
"close_hash": "0x4db069342f5294f44f2a0444ba79000202950019ca55b3c6f1791486ee566ede",
"created_at": "2026-09-19T07:10:23.354000"
}
],
"total_count": 2,
"execution_time_ms": null,
"next_cursor": null,
"has_more": null
}Completed Trades
List completed trades
Returns completed trades. Defaults to a 24h window if no time filters are provided.
GET
/
completed-trades
/
List completed trades
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Query Parameters
User address
Trade direction
Available options:
long, short Minimum PnL filter
Maximum PnL filter
Sort field
Available options:
ASC, DESC